
singleton Material(celica)
{
   mapTo = "celica";
   diffuseMap[2] = "vehicles/celica/celica_c.dds";
   specularMap[2] = "vehicles/celica/celica_s.dds";
   normalMap[2] = "vehicles/celica/celica_n.dds";
   diffuseMap[1] = "vehicles/celica/celica_d.dds";
   specularMap[1] = "vehicles/celica/celica_s.dds";
   normalMap[1] = "vehicles/celica/celica_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/celica/celica_n.dds";
   //diffuseMap[3] = "vehicles/celica/celica_dirt.dds";
   //normalMap[3] = "vehicles/celica/celica_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0";
   specularPower[1] = "16";
   pixelSpecular[1] = "0";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 0 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(celica_interior)
{
   mapTo = "celica_interior";
   diffuseMap[0] = "celica_interior_d.dds";
   normalMap[0] = "celica_interior_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   specularMap[0] = "celica_interior_s.dds";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.8 0.8 0.8 1";
};

singleton Material(celica_gauges)
{
   mapTo = "celica_gauges";
   diffuseMap[0] = "celica_gauges_d.dds";
   specularMap[0] = "celica_gauges_s.dds";
   normalMap[0] = "celica_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material(celica_gauges_on)
{
   mapTo = "celica_gauges_on";
   diffuseMap[1] = "celica_gauges_g.dds";
   specularMap[1] = "celica_gauges_s.dds";
   normalMap[1] = "celica_gauges_n.dds";
   diffuseMap[0] = "celica_gauges_d.dds";
   specularMap[0] = "celica_gauges_s.dds";
   normalMap[0] = "celica_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "1";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
   diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(celica_glass)
{
   mapTo = "celica_glass";
   diffuseMap[0] = "vehicles/celica/celica_glass_d.dds";
   specularMap[0] = "vehicles/celica/celica_glass_s.dds";
   diffuseMap[1] = "vehicles/celica/celica_glass_da.dds";
   specularMap[1] = "vehicles/celica/celica_glass_s.dds";
   //diffuseMap[2] = "vehicles/celica/celica_glass_dirt.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(celica_lights_on)
{
   mapTo = "celica_lights_on";
   diffuseMap[2] = "vehicles/celica/celica_lights_g.dds";
   specularMap[2] = "vehicles/celica/celica_lights_s.dds";
   normalMap[2] = "vehicles/celica/celica_lights_n.dds";
   diffuseMap[1] = "vehicles/celica/celica_lights_d.dds";
   specularMap[1] = "vehicles/celica/celica_lights_s.dds";
   normalMap[1] = "vehicles/celica/celica_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/celica/celica_lights_n.dds";
   //diffuseMap[3] = "vehicles/celica/celica_lights_dirt.dds";
   //normalMap[3] = "vehicles/celica/celica_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(celica_lights_on_intense)
{
   mapTo = "celica_lights_on_intense";
   diffuseMap[2] = "vehicles/celica/celica_lights_g.dds";
   specularMap[2] = "vehicles/celica/celica_lights_s.dds";
   normalMap[2] = "vehicles/celica/celica_lights_n.dds";
   diffuseMap[1] = "vehicles/celica/celica_lights_d.dds";
   specularMap[1] = "vehicles/celica/celica_lights_s.dds";
   normalMap[1] = "vehicles/celica/celica_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/celica/celica_lights_n.dds";
   //diffuseMap[3] = "vehicles/celica/celica_lights_dirt.dds";
   //normalMap[3] = "vehicles/celica/celica_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.20";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(celica_glass_dmg)
{
   mapTo = "celica_glass_dmg";
   diffuseMap[0] = "vehicles/celica/celica_glass_dmg_d.dds";
   specularMap[0] = "vehicles/common/glass_dmg_s.dds";
   normalMap[0] = "vehicles/common/glass_dmg_n.dds";
   //diffuseMap[2] = "vehicles/celica/celica_glass_dirt.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(celica_lights)
{
   mapTo = "celica_lights";
   diffuseMap[1] = "vehicles/celica/celica_lights_d.dds";
   specularMap[1] = "vehicles/celica/celica_lights_s.dds";
   normalMap[1] = "vehicles/celica/celica_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/celica/celica_lights_n.dds";
   //diffuseMap[2] = "vehicles/celica/celica_lights_dirt.dds";
   //normalMap[2] = "vehicles/celica/celica_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(celica_lights_dmg)
{
   mapTo = "celica_lights_dmg";
   diffuseMap[1] = "vehicles/celica/celica_lights_dmg_d.dds";
   specularMap[1] = "vehicles/celica/celica_lights_dmg_s.dds";
   normalMap[1] = "vehicles/celica/celica_lights_dmg_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/celica/celica_lights_dmg_n.dds";
   //diffuseMap[2] = "vehicles/celica/celica_lights_dirt.dds";
   //normalMap[2] = "vehicles/celica/celica_lights_dmg_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(celica_reverselight)
{
   mapTo = "celica_reverselight";
};

singleton Material(celica_signal_R)
{
   mapTo = "celica_signal_R";
};

singleton Material(celica_signal_L)
{
   mapTo = "celica_signal_L";
};

singleton Material(celica_headlight)
{
   mapTo = "celica_headlight";
};

singleton Material(celica_parkinglight)
{
   mapTo = "celica_parkinglight";
};

singleton Material(celica_chmsl)
{
   mapTo = "celica_chmsl";
};

singleton Material(celica_taillight)
{
   mapTo = "celica_taillight";
};

singleton Material(celica_highbeam)
{
   mapTo = "celica_highbeam";
};

singleton Material(celica_tire_01)
{
   mapTo = "celica_tire_01";
   diffuseColor[0] = "0.512 0.512 0.512 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(celica_tire_01a_d)
{
   mapTo = "celica_tire_01a_d";
   diffuseColor[0] = "0.4096 0.4096 0.4096 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(celica_hatch_interior)
{
   mapTo = "celica_hatch_interior";
   diffuseColor[0] = "0.301056 0.301056 0.301056 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(celica_hatch)
{
   mapTo = "celica_hatch";
   diffuseColor[0] = "0.4096 0.4096 0.4096 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(celica_hatch_glass)
{
   mapTo = "celica_hatch_glass";
   diffuseColor[0] = "0.4096 0.4096 0.4096 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(celica_hatch_taillight)
{
   mapTo = "celica_hatch_taillight";
   diffuseColor[0] = "0.4096 0.4096 0.4096 1";
   specular[0] = "50 50 50 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(celica_hatch_signal_R)
{
   mapTo = "celica_hatch_signal_R";
   diffuseColor[0] = "0.4096 0.4096 0.4096 1";
   specular[0] = "50 50 50 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(celica_hatch_signal_L)
{
   mapTo = "celica_hatch_signal_L";
   diffuseColor[0] = "0.4096 0.4096 0.4096 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(celica_hatch_gauges)
{
   mapTo = "celica_hatch_gauges";
   diffuseColor[0] = "0.301056 0.301056 0.301056 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(celica_hatch_headlight)
{
   mapTo = "celica_hatch_headlight";
   diffuseColor[0] = "0.4096 0.4096 0.4096 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(celica_hatch_chmsl)
{
   mapTo = "celica_hatch_chmsl";
   diffuseColor[0] = "0.4096 0.4096 0.4096 1";
   specular[0] = "50 50 50 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};
